
.onoffswitch
{
	position: relative; width: 40px;
	-webkit-user-select:none; -moz-user-select:none; -ms-user-select: none;
}

.onoffswitch-checkbox
{
	display: none;
}

.onoffswitch-label
{
	display: block; overflow: hidden; cursor: pointer;
	height: 17px; padding: 0; line-height: 17px;
	border: 2px solid #CCCCCC; border-radius: 17px;
	background-color: #E0E0E0;
	transition: background-color 0.3s ease-in;
}

.onoffswitch-label:before
{
	content: "";
	display: block; width: 17px; margin: 0px;
	background: #FFFFFF;
	position: absolute; top: 0; bottom: 0;
	right: 21px;
	border: 2px solid #CCCCCC; border-radius: 17px;
	transition: all 0.3s ease-in 0s; 
}

.onoffswitch-checkbox:checked + .onoffswitch-label
{
	background-color: #FFA500;
}

.onoffswitch-checkbox:checked + .onoffswitch-label, .onoffswitch-checkbox:checked + .onoffswitch-label:before
{
	border-color: #FFA500;
}

.onoffswitch-checkbox:checked + .onoffswitch-label:before
{
	right: 0px; 
}